﻿var outputPDFs = function() {
	var xf = File( $infile ), xo, jobs, nJob, n, out = [], root, jobName, tmpFile, myDocXMP;
	var template = File ( Folder.desktop+"/template.indt" );
	var tmpDoc;
	var destNamespace = "http://ns.adobe.com/xap/1.0/";
	var fileCountNode = "fileCount";
	var idNode = "jobId", jobId;
	var nodeValue;
	
	xf.encoding = "UTF-8";
	xf.open( "r" );
	xo = XML( xf.read() );
	xf.close();
	
	jobs=xo.job;
	jobId = String(xo.@id);
	n = jobs.length();
	nodeValue = String(n);
	
	while ( n--) {
		nJob = jobs[n];
		tmpDoc = app.open ( template );
		myDocXMP = tmpDoc.metadataPreferences;
		root = tmpDoc.xmlElements[0];
		name = root.evaluateXPathExpression( "//nom" )
		if ( name.length ) {
			name = name[0];
			jobName = String( nJob.@name )
			name.contents = jobName;
			myDocXMP.setProperty(destNamespace, fileCountNode, nodeValue);
			myDocXMP.setProperty(destNamespace, idNode, jobId);
			tmpFile = File ( $outfolder+"/"+jobName+".pdf" );
			tmpDoc.exportFile ( ExportFormat.PDF_TYPE, tmpFile, undefined, app.pdfExportPresets[3] );
			out.push ( tmpFile.fsName );
		}
		tmpDoc.close(SaveOptions.NO);
	}
	$doc.close ( SaveOptions.NO );
	$doc = null;
	$outfiles = out;
}

outputPDFs();